net.corda.core.crypto

## Class CompositeKeyKt

- net.corda.core.crypto.CompositeKeyKt

-     public class CompositeKeyKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<java.security.PublicKey>` | `getKeys(java.lang.Iterable<? extends net.corda.core.crypto.CompositeKey> $receiver)` Returns the set of all PublicKeys contained in the leaves of the `class CompositeKey`s

- - ### Method Detail

    - #### getKeys

          public static java.util.Set<java.security.PublicKey> getKeys(java.lang.Iterable<? extends net.corda.core.crypto.CompositeKey> $receiver)

      Returns the set of all PublicKeys contained in the leaves of the `class CompositeKey`s

      See Also:
        PublicKey, `class CompositeKey`